Subject: Re: CCL:Looking for a program to clean Fortran

From: Andrew Fant <[email-masked]>
Date: Fri, 20 Dec 2002 23:43:44 -0500 (EST)

John,
     I've always been partial to flow and floppy, two programs from CERN
(oddly enough, written IN Fortran) that can be used to clean up dusty
decks and do analysis of the code structure.  FTNCHEK is another tool you
might want to look at. It doesn't clean code in and of itself, IIRC, but
it does a static analysis of the code and reports semantic errors and
violations of good code practices.  I've used these programs together to
clean up old code myself (including MOPAC and AMPAC).

Hope this helps,
		Andy

Andrew Fant      |   This    |  "If I could walk THAT way...
Molecular Geek   |   Space   |     I wouldn't need the talcum powder!"
[email-masked]   |    For    |          G. Marx (apropos of Aerosmith)
Boston, MA USA   |   Hire    |    http://www.pharmawulf.com

On Fri, 20 Dec 2002 [email-masked] wrote:

> CCLers,
>
> I have some Fortran code that desperately needs cleaning up.  Is there
> any free/inexpensive software available to do this?
>
> Thanks!
>
> John McKelvey
>
>
>
> -= This is automatically added to each message by mailing script =-
> [email-masked] -- To Everybody  | [email-masked] -- To Admins
> Ftp: ftp.ccl.net  |  WWW: http://www.ccl.net/chemistry/   | Jan: [email-masked]
>
>
>
>
>